<?php
/*
Plugin Name: Dwolla Payment Button
Description: Adds the Dwolla payment button helper code to your pages
Version: 4.2
Author: Michael Schonfeld (@BaconSeason)
Author URI: www.dwolla.com
License: GPL2
*/

wp_register_script( 'dwolla', 'https://www.dwolla.com/scripts/button.min.js');
wp_enqueue_script( 'dwolla', 'https://www.dwolla.com/scripts/button.min.js', FALSE, FALSE, TRUE);

// [dwolla foo="bar"]Donate Now[/dwolla]
function dwolla_func( $atts, $content = 'Pay Now' ) {
  extract( shortcode_atts( array(
    'key'         => '',
    'redirect'    => site_url(),
    'callback'    => site_url(),
    'name'        => '',
    'description' => '',
    'amount'      => '',
    'guest'       => 'true',
    'type'        => 'simple',
    'options'     => ''
  ), $atts ) );

  ob_start();
  ?>
  <script
    src="https://www.dwolla.com/scripts/button.min.js" class="dwolla_button" type="text/javascript"
    data-key="<?php echo $key ?>"
    data-redirect="<?php echo $redirect ?>"
    data-callback="<?php echo $callback ?>"
    data-label="<?php echo $content ?>"
    data-name="<?php echo $name ?>"
    data-description="<?php echo $description ?>"
    data-amount="<?php echo $amount ?>"
    data-guest-checkout="<?php echo $guest ?>"
    data-type="<?php echo $type ?>"
    data-options="<?php echo $options ?>">
  </script>
  <?php
  $output_string = ob_get_contents();
  ob_end_clean();

  return $output_string;
}
add_shortcode( 'dwolla', 'dwolla_func' );
